package com.realnet.angulardatatype.Services;
import java.util.*;
import com.realnet.angulardatatype.Repository.ListtestRepository;
import com.realnet.angulardatatype.Entity.Listtest;

import com.realnet.angulardatatype.Entity.Listtest_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Listtest_ListFilter1Service {
@Autowired
private ListtestRepository Repository;




 public   List<Listtest_ListFilter1>   getlistbuilder() {
	List<Listtest> list= Repository.findAll();
		ArrayList<Listtest_ListFilter1> l = new ArrayList<>();
		for (Listtest data : list) {
{	
Listtest_ListFilter1 dummy = new Listtest_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Listtest_ListFilter1>   getlistbuilderparam( ) {
	List<Listtest> list= Repository.findAll();
		ArrayList<Listtest_ListFilter1> l = new ArrayList<>();
		for (Listtest data : list) {
{	
Listtest_ListFilter1 dummy = new Listtest_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}
}